## ros-indigo-python-ethernet-rmp 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(python_ethernet_rmp)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

=== debian/changelog ===
ros-indigo-python-ethernet-rmp (0.0.2-0trusty) trusty; urgency=high

  * Merge pull request #6 <https://github.com/WPI-RAIL/python_ethernet_rmp/issues/6> from cmdunkers/develop
    fixed the default_bitmap issue
  * Fixed the default_config bitmap to 1 instead of the default since default does not work with carl
  * Merge pull request #2 <https://github.com/WPI-RAIL/python_ethernet_rmp/issues/2> from WPI-RAIL/develop
    Update CMakeLists.txt
  * Merge pull request #1 <https://github.com/WPI-RAIL/python_ethernet_rmp/issues/1> from WPI-RAIL/master
    Cleanup and release of 0.0.1
  * Update CMakeLists.txt
  * Merge pull request #5 <https://github.com/WPI-RAIL/python_ethernet_rmp/issues/5> from WPI-RAIL/develop
    0.0.1
  * Contributors: Chris Dunkers, Russell Toris, cmdunkers

 -- Russell Toris <rctoris@wpi.edu>  Tue, 29 Jul 2014 04:00:00 -0000

ros-indigo-python-ethernet-rmp (0.0.1-0trusty) trusty; urgency=high

  * cleanup
  * travis and cleanup
  * Merge pull request #4 from cmdunkers/develop
    Fixed Authors
  * Fixed Authros
  * Merge pull request #3 from cmdunkers/develop
    basic cleanup completed
  * cleanup
  * basic cleanup
  * Changed minor things
  * Merge pull request #1 from cmdunkers/develop
    Added and modified the Segway communication code to fit our needs
  * worked on modifying rmp_config_params so the dynamic varibales are the ones read in
  * Made it so there is only feedback received when TX is called
  * added and modified the provided segway example
  * Initial commit
  * Contributors: Chris Dunkers, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 10 Jun 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-python-ethernet-rmp
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/python_ethernet_rmp
Standards-Version: 3.9.2

Package: ros-indigo-python-ethernet-rmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Segway RMP Ethernet Python Driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-python-ethernet-rmp//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
